<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20260321270000 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Add is_invitation to billet_buyer';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE billet_buyer ADD COLUMN IF NOT EXISTS is_invitation BOOLEAN DEFAULT NULL');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE billet_buyer DROP COLUMN IF EXISTS is_invitation');
    }
}
